#!/usr/bin/env python3

from cic_eth.server import encoder
import cic_eth.cli
import connexion
from cic_eth.graphql.config import config

celery_app = cic_eth.cli.CeleryApp.from_config(config)
celery_app.set_default()


def main():
    app = connexion.App(__name__, specification_dir='./swagger/')
    app.app.json_encoder = encoder.JSONEncoder
    app.add_api('swagger.yaml', arguments={
                'title': 'Grassroots Economics'}, pythonic_params=True)
    app.run(port=5000)


if __name__ == '__main__':
    main()
